libcamera v0.6.0 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::DelayedControls::ControlParams Struct Reference

Parameters associated with controls handled by the DelayedControls helper class. More...

## Public Attributes
unsigned int | delay
| Frame delay from setting the control on a sensor device to when it is consumed during framing.
bool | priorityWrite
| Flag to indicate that this control must be applied ahead of, and separately from the other controls.

## Detailed Description

Parameters associated with controls handled by the DelayedControls helper class.

## Member Data Documentation

## ◆ priorityWrite

bool libcamera::DelayedControls::ControlParams::priorityWrite

Flag to indicate that this control must be applied ahead of, and separately from the other controls.

Typically set for the V4L2_CID_VBLANK control so that the device driver does not reject V4L2_CID_EXPOSURE control values that may be outside of the existing vertical blanking specified bounds, but are within the new blanking bounds.

The documentation for this struct was generated from the following files:

- include/libcamera/internal/delayed_controls.h
- src/libcamera/delayed_controls.cpp